# Get All Packages Endpoint: GET /packages Version: 1.0.0 Security: ApiKeyAuth ## Query parameters: - `limit` (integer) The number of results to return (default 10). - `offset` (integer) The page number for pagination (default 0). This is multiplied by limit to get the actual offset. - `order` (string) Sorting property (default sort is by www update date). Multiple sorts can be supplied by comma concatenation. Enum: "wwwUpdateDate", "packageCode", "packageType", "packageStatus" - `orderDirection` (string) Sorting direction (default is "desc"). Multiple directions can be defined for multiple sorts. Example: "desc,asc" - `packageCode` (string) Filter by package identifier. - `packageType` (string) Filter by package type. - `packageStatus` (string) Filter by package status. Enum: "Active", "Inactive" ## Response 200 fields (application/json): - `data` (array) - `data.packageCode` (string) Unique identifier for the package (Package Code). Example: "pkg_20128" - `data.wwwUpdateDate` (string) Date the package page was last updated on the website. - `data.url` (string) Public URL of the package page on the Renesas website. Example: "https://www.renesas.com/package/pkg20128" - `data.uuid` (string) UUID of the package. Example: "b87ecb11-cd57-4204-b320-63c7dfd6525d" - `data.title` (string) Title/name of the package. Example: "pkg_20128 (FCBGA 1368)" - `data.packageType` (string) Type classification of the package. Example: "FCBGA" - `data.packageName` (string) Name used to describe Renesas packages. Example: "PRBG1368KA-A" - `data.category` (string,null) Package category classification. Example: "IC" - `data.class` (string,null) Package class. Example: "IC" - `data.description` (string) Descriptive text for this package. Example: "Terminal Material - Base: Sn-Ag-Cu" - `data.specifications` (object) Technical specifications of the package. - `data.specifications.leadCount` (integer) Total number of leads/pins. Example: 1368 - `data.specifications.pitch` (number) Pin pitch in millimeters. Example: 0.5 - `data.specifications.length` (number) Package length in millimeters. Example: 19 - `data.specifications.width` (number) Package width in millimeters. Example: 19 - `data.specifications.thickness` (number) Package thickness/height in millimeters. Example: 2.85 - `data.specifications.dimensions` (string) Formatted package dimensions string. Example: "19 x 19 x 2.85" - `data.specifications.peakReflowTemp` (number,null) Peak reflow temperature in °C. - `data.specifications.jeitaStandard` (string,null) The JEITA standard to which the device is compliant. - `data.specifications.mark` (string,null) Package mark/marking information. - `data.packageStatus` (string) Current status of the package. Enum: "Active", "Inactive" - `data.regulatory` (object) Regulatory and compliance information. - `data.regulatory.leadFree` (string) Lead-free compliance status. Enum: "Yes", "No" - `data.regulatory.pbFreeCategory` (string,null) Lead-free category classification. - `data.tubeOrTray` (string,null) Packaging carrier type (tube/tray). - `data.previousCode` (string,null) Package code maintained as part of the Renesas and Intersil merger. - `data.images` (array) Array of image URLs for the package. Example: ["https://www.renesas.com/sites/default/files/styles/medium/public/media/images/fcbga-1368pin-pkg20128-chip_0.png"] - `data.relatedDocuments` (array) List of related document identifiers. Example: [{"agileId":"X0141154","dcpDocumentId":"PRBG1368KA-A (RDK-G-001812)","title":"Package Drawing FCBGA 1368pin PRBG1368KA-A","type":"Package Drawing","language":"en","href":"https://api.renesas.com/web-data/v1/documents/PRBG1368KA-A%20%28RDK-G-001812%29"},{"agileId":"X0061760","dcpDocumentId":"R50ZZ0006EJ0100","title":"LGA Mounting Manual","type":"Mounting Manual","language":"en","href":"https://api.renesas.com/web-data/v1/documents/R50ZZ0006EJ0100"}] - `data.relatedDocuments.agileId` (string) Agile ID of the document. - `data.relatedDocuments.dcpDocumentId` (string,null) DCP Document ID, if applicable. - `data.relatedDocuments.title` (string) Document title. - `data.relatedDocuments.type` (string) Document type. - `data.relatedDocuments.language` (string) Document language. - `data.relatedDocuments.href` (string) Public URL of the document file. - `pagination` (object) - `pagination.offset` (integer) The actual offset used (page * limit) - `pagination.limit` (integer) The number of items per page - `pagination.total` (integer) Total number of items available - `pagination.has_more` (boolean) Whether there are more items available ## Response 500 fields (application/json): - `error` (string)